Subject: Re: linux-next: manual merge of the kspp tree with the rdma tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 5 Aug 2020 14:07:28 +1000

Hi all,

On Tue, 28 Jul 2020 18:45:20 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the kspp tree got a conflict in:
> 
>   drivers/infiniband/core/uverbs_cmd.c
> 
> between commit:
> 
>   29f3fe1d6854 ("RDMA/uverbs: Remove redundant assignments")
> 
> from the rdma tree and commit:
> 
>   3f649ab728cd ("treewide: Remove uninitialized_var() usage")
> 
> from the kspp tree.
> 
> I fixed it up (the former basically did what the latter did, so I used
> the former version) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the rdma tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell